org.apache.catalina.valves.rewrite

## Class QuotedStringTokenizer

- java.lang.Object
- - org.apache.catalina.valves.rewrite.QuotedStringTokenizer

-     public class QuotedStringTokenizer
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static StringManager` | `sm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QuotedStringTokenizer(String text)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `countTokens()`
    `boolean` | `hasMoreTokens()`
    `String` | `nextToken()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sm

          protected static final StringManager sm

  - ### Constructor Detail

    - #### QuotedStringTokenizer

          public QuotedStringTokenizer(String text)

  - ### Method Detail

    - #### hasMoreTokens

          public boolean hasMoreTokens()

    - #### nextToken

          public String nextToken()

    - #### countTokens

          public int countTokens()

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.